Bug 133948 - Debugger UI redesign, phase 1
Debugger UI redesign, phase 1
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
http://jupiter.czech.sun.com/wiki/vie...
: PLAN
Depends on: 51758 136099
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 16:12 UTC by Tomas Pavek
Modified: 2010-04-29 09:39 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Pavek 2008-04-25 16:12:00 UTC
We plan to redesign the debugger UI and improve its usability and reliability. This long term effort is planned to more
releases - for 6.5 there should be a new debug view representing a debugger "control center" and unifying sessions,
threads, and call stacks (see also issue 122329) and reworked multi-thread debugging support (based on extensive
feedback received). Focus put on java debugger only, should minimally affect other debuggers using debugger core API
(for 6.5).
Comment 1 Martin Entlicher 2008-06-04 13:31:37 UTC
The first phase of the debugger UI redesign is in trunk:
http://hg.netbeans.org/main/rev/9876a26d326e
Comment 2 Quality Engineering 2008-06-05 03:54:19 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #238 build
Changeset: http://hg.netbeans.org/main/rev/9876a26d326e
User: mentlicher@netbeans.org
Log: #133948 - The first phase of debugger UI redesigned merged from dbg-prototype clon into trunk.
#136099 - APIs extended for the new functionality.
Comment 3 Quality Engineering 2010-04-29 09:39:24 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo